﻿/*
 * *Created by PoLeung
 * *Email 30930572@qq.com
 * *Create date 2021-01-11
 * *Copyright LockDataV
 * *Desc data visualization project based on echarts4.0.js.
 */

@charset "utf-8";
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box
}

/*页面全局设置*/
*, body {
    padding: 0px;
    margin: 0px;
    font-family: "微软雅黑";
}

body {
    color: #666;
    font-size: 16px;
    background: #FFF;
    -moz-user-select: none;
    -khtml-user-select: none;
    user-select: none;
}

html, body {
    height: 100%;
}

li {
    list-style-type: none;
}

i {
    margin: 0px;
    padding: 0px;
    text-indent: 0px;
}

/*img {
    border: none;
    max-width: 100%;
}*/

a {
    text-decoration: none;
    color: #399bff;
}

a.active, a:focus {
    outline: none !important;
    text-decoration: none;
}

ol, ul, p, h1, h2, h3, h4, h5, h6 {
    padding: 0;
    margin: 0
}

a:hover {
    color: #06c;
    text-decoration: none !important
}

.clearfix:after, .clearfix:before {
    display: table;
    content: " "
}

.clearfix:after {
    clear: both
}

/*定义滚动条高宽及背景 高宽分别对应横竖滚动条的尺寸*/
::-webkit-scrollbar {
    width: 8px;
    height: 8px;
    background-color: rgba(255, 255, 255, 0.2);
}

/*定义滚动条轨道 内阴影+圆角*/
::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 8px rgba(30, 159, 255, 0.5);
    border-radius: 2px;
    background-color: rgba(245, 245, 245, 0.2);
}

/*定义滑块 内阴影+圆角*/
::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 8px #1E9FFF;
    background-color: #555;
}

/*加载动画*/
.loading {
    position: fixed;
    left: 0;
    top: 0;
    font-size: 16px;
    z-index: 100000000;
    width: 100%;
    height: 100%;
    background: #1a1a1c;
    text-align: center;
}

.loadbox {
    position: absolute;
    width: 160px;
    height: 150px;
    color: rgba(255, 255, 255, .6);
    left: 50%;
    top: 50%;
    margin-top: -100px;
    margin-left: -75px;
}

.loadbox img {
    margin: 10px auto;
    display: block;
    width: 40px;
}

.top {
    height: 50px;
    width: 100%;
    float: left;
    margin: 0px auto;
    text-align: center;
    background: #1E9FFF;
}

.t1 {
    font-size: 28px;
    color: #fff;
}

#btn {
    float: right;
    background: #FFF;
    border-radius: 50%;
    cursor: pointer;
    width: 30px;
    height: 30px;
    margin: 12px;
    text-align: center;
    padding-top: 5px;
}

.icon-refresh {
    font-size: 20px;
    font-weight: bold;
    color: #1c2b36;
    vertical-align: top;
}

/*大屏主体设置*/
.mainbox {
    padding: 0px;
    width: 100%;
    height: calc(100% - 60px);
    position: relative;
}

/*地图定位*/
#map {
    float: left;
    width: 100%;
    height: 100%;
}

.pannel {
    position: absolute;
    top: 0px;
    right: 10px;
    z-index: 999;
    width: 420px;
    padding: 10px;
}

/*列表框滚动*/
.nice {
    width: 100%;
    height: 500px;
    border-radius: 5px;
    background: #fff;
    padding: 2px 8px;
    margin: 5px auto;
}

.echarts_table {
    border-radius: 5px;
    background: #fff;
    padding: 2px 8px;
    margin: 5px auto;
}

/*layui样式调整*/
.lay_search {
    border-radius: 5px;
    background: #fff;
    margin: 10px auto;
    padding: 10px;
}

.lay_select {
    width: 115px;
}

.lay_input1 {
    width: 115px;
}

.lay_input2 {
    width: 180px;
}

.layui-laypage .layui-laypage-curr .layui-laypage-em {
    background: #1E9FFF;
}

#citys {
    width: 100%;
}

/*地图标题*/
.BMap_bubble_title {
    color: white;
    font-size: 13px;
    font-weight: bold;
    text-align: left;
    padding-left: 5px;
    padding-top: 5px;
    border-bottom: 1px solid gray;
    background-color: #0066b3;
}

.BMap_cpyCtrl {
    display: none !important;
}

.anchorBL a img {
    display: none !important;
}

/*地图标题 infoWindow*/
.BMap_bubble_title {
    color: #fff;
    font-size: 16px;
    font-weight: bold;
    text-align: left;
    background: transparent !important;
}

.BMap_pop .BMap_top {
    background: rgba(0, 0, 0, .8) !important;
    border: 0 !important;
}

.BMap_pop .BMap_center {
    width: 281px !important;
    overflow-y: auto;
    border: 0 !important;
    background: rgba(0, 0, 0, .8) !important;
}

.BMap_pop .BMap_bottom {
    border: 0 !important;
    background: rgba(0, 0, 0, .8) !important;
}

.BMap_pop div:nth-child(3) {
    background: transparent !important;
}

.BMap_pop div:nth-child(3) div {
    border-radius: 3px;
    background: rgba(0, 0, 0, .8) !important;
    border: 0 !important;
}

.BMap_pop div:nth-child(1) {
    border-radius: 3px 0 0 0;
    background: transparent !important;
    border: 0 !important;
}

.BMap_pop div:nth-child(1) div {
    background: rgba(0, 0, 0, .8) !important;
}

.BMap_pop div:nth-child(5) {
    border-radius: 0 0 0 3px;
    background: transparent !important;
    border: 0 !important;
}

.BMap_pop div:nth-child(5) div {
    border-radius: 3px;
    background: rgba(0, 0, 0, .8) !important;
}

.BMap_pop div:nth-child(7) {
    background: transparent !important;
    left: 226px;
}

.BMap_pop div:nth-child(7) div {
    border-radius: 3px;
    background: rgba(0, 0, 0, .8) !important;
}

/*替换箭头*/
img[src="http://api0.map.bdimg.com/images/iw3.png"] {
    content: url('../images/iw3.png');
}

img[src="http://api.map.baidu.com/images/iw3.png"] {
    opacity: 0.7;
    margin-top: -692px !important;
    filter: alpha(opacity=70);
    content: url('../images/iw3.png');
}

/*弹出窗内容*/
.popTitle {
    height: 25px;
}

.infoItems {
    color: rgba(255, 255, 255, 0.7);
    background: rgba(0, 0, 0, 0) !important;
    padding: 2px;
}

.infoItems > span {
    font-size: 12px;
    padding-left: 5px;
}